[role="main"] {
  /* top: 45px; */
  height: calc(100vh - 50px);
  overflow-y: auto;
}

#main-layout::-webkit-scrollbar {
  width: 0.8em;
}

#main-layout::-webkit-scrollbar-track {
  border-radius: 10px;
  box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.3);
}

#main-layout::-webkit-scrollbar-thumb {
  height: 2em;
  background-color: #C1C1C1;
  outline: 1px solid slategrey;
  -webkit-border-radius: 14px;
    border-radius: 14px;
}

#main-layout::-webkit-scrollbar-thumb:hover {
  background-color: #F4742191;
  outline: 1px solid slategrey;
  -webkit-border-radius: 20px;
    border-radius: 20px;
}

#sidebar-container {
  height: calc(100vh - 25px);
  font-size: 13px;
  background-position-y: 100%;
}
/* Sidebar size & background-image when expanded and collapsed */
.sidebar-expanded {
  width: 230px;
  /* background: url("~src/assets/images/bg_expanded.svg"); */
  background-color: #0460a9;
  background: linear-gradient(
    #02305494
  ) !important;
  /* margin-top: 45px; */
  background-size: cover;
}
.sidebar-collapsed {
  width: 60px;
  /* background: url("~src/assets/images/bg_collapsed.svg"); */
  background-color: #02305494;
  background: linear-gradient(
    #0230544b
  ) !important;
  /* margin-top: 45px; */
  background-size: cover;
}
.innerDiv {
  position: fixed;
  /* top: 45px; */
  height: calc(100vh - 25px);
  opacity: 0.95;
  /* overflow-y: auto; */
}
.sidebar-expanded .innerDiv {
  width: 230px;
  /* background: linear-gradient(
      to right,
      rgba(255, 255, 255, 0.5) 1%,
      rgba(53, 13, 1, 0.1) 4%
    ),
    rgba(0, 0, 0, 0.65) 10%; */
}
.sidebar-collapsed .innerDiv {
  width: 60px;
  /* background: linear-gradient(
      to right,
      rgba(255, 255, 255, 0.6) 1%,
      rgba(53, 13, 1, 0.1) 15%
    ),
    rgba(0, 0, 0, 0.65) 50%; */
}

.bg-dark,
.bg-dark:hover,
.bg-dark:active,
.bg-dark:focus {
  background: transparent !important;
  border: none;
  outline: none;
}

.sidebar-expanded .bg-dark.selected {
  background: linear-gradient(
    to right,
    #0460a9 3%,
    #023054 1%
  ) !important;
}
.sidebar-collapsed .bg-dark.selected {
  background: linear-gradient(
    to right,
    #0460a9 12%,
    #023054 1%
  ) !important;
}

/* Menu item*/
#sidebar-container .list-group a,  #sidebar-container .list-group button{
  height: 45px;
  color: white;
}

/* Submenu item*/
#sidebar-container .list-group .sidebar-submenu a {
  height: 40px;
  padding-left: 40px;
}
.sidebar-submenu {
  font-size: 12px;
}

.submenu-selected {
  color: orangered !important;
  font-weight: bold;
}
/* Separators */
.sidebar-separator-title {
  background-color: red;
  height: 35px;
}
.sidebar-separator {
  background-color: red;
  height: 25px;
}
.logo-separator {
  background-color: red;
  height: 60px;
}

/* Closed submenu icon */
#sidebar-container
  .list-group
  .list-group-item[aria-expanded="false"]
  .submenu-icon::after {
  content: " \f101";
  font-family: FontAwesome;
  text-align: right;
  padding-left: 10px;
}
/* Opened submenu icon */
#sidebar-container
  .list-group
  .list-group-item[aria-expanded="true"]
  .submenu-icon::after {
  content: " \f103";
  font-family: FontAwesome;
  display: inline;
  text-align: right;
  padding-left: 10px;
}
.open_menu {
  color: white;
}

.fa-s{
  font-size: 1.7em;
}

.disabled {
  opacity: 50% !important;
}
.container-fluid{
  position: fixed;
}


#collapse-icon {
  font-size: 2.0em;
  margin-left: 8px !important;
}

/*********************/
.nav_logo{
  padding-top: 3mm;
  margin-bottom: 0mm;
  font-size: 1.2rem;
}

.nav-align {
  padding: 5px 5px 0px 5px;
  margin-bottom: 0px;
}

/*Sidebar/MENU ICONS Start*/
.homeIcon svg
{
  width: 30px;
  height: 30px;        
}
.homeIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;
}
.homeIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;
  background-color: rgb(10,10,10);
}

.srcConnectorIcon svg
{
  width: 28px;
  height: 28px;    
}
.srcConnectorIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0; 
}
.srcConnectorIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.dataIngestionIcon svg
{
  width: 34px;
  height: 34px;      
}
.dataIngestionIcon.sidebar svg
{
  padding: 0 0 10px 0;
  margin: 0 10px 0 -4px;  
}
.dataIngestionIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.dataCatalogIcon svg
{
  width: 28px;
  height: 28px;   
}
.dataCatalogIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;  
}
.dataCatalogIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.dataQualityIcon svg
{
  width: 28px;
  height: 28px;   
}
.dataQualityIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;  
}
.dataQualityIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.dataProcessingIcon svg
{
  width: 30px;
  height: 28px;   
}
.dataProcessingIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;  
}
.dataProcessingIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.dataModelIcon svg
{
  width: 30px;
  height: 28px;   
}
.dataModelIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;  
}
.dataModelIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.dataOrchestrationIcon svg
{
  width: 30px;
  height: 30px;   
}
.dataOrchestrationIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;  
}
.dataOrchestrationIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.dataConsumptionIcon svg
{
  width: 30px;
  height: 30px;   
}
.dataConsumptionIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;  
}
.dataConsumptionIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
  background-color: rgb(10,10,10);
}

.brmsIcon svg
{
  width: 30px;
  height: 30px;
  fill: white;
}
.brmsIcon.sidebar svg
{
  padding: 0 3px 5px 0;
  margin: 0 10px 0 0;  
}
.brmsIcon.title svg
{
  padding: 0 0 0 0;
  margin: 0 5px 0 0;  
}